this type of lecture what we cp community want with crystal clear explanation with best problems... hoping for more lecture like that... waiting for your binary seach one shot
My one of the best learning from this lecture was that we should not always define the subproblem of the DP in terms of what is being asked, rather we should look for some crux which might be defining these sub-problems structurally more convenient way such that they are easier to make transitions. Thanks for awakening my thinking horizon in Dynamic Programming Shayan.
One of the finest resources for mastering dynamic programming, particularly for competitive programming, is truly invaluable. However, it would be fantastic to have similarly exceptional tutorials covering a broader range of topics! @CPwithShayan
great ! today I learned when to not use array for DP. I always used to think why the heck people are using Maps in dp, now I know the reason why maps are a better option when dealing with large datasets. If someone does not know why, then let me tell you if I am decalring an array of size (int)1e9, then I will be making my compiler allocate 4gb worth of RAM for this process, but my OS won't allow that. (how i came to the 4gb memory thing, its simple an int is of 4bytes, now you will be decalring an int array of (int)1e9 size, which means 4byte X 1Billion = 4gb) Hence my compiler will throw an error. Now this is because, when an array is created, consecutive memory cells of the ram are allocated for this process, but when using map, the memory allocation is different than an array, and that's why map can be used.
Hello. Can somebody say about second problem in the Shayan video about dynamic programming.How we control that we can not delete elements which go in a row. For example 7 5 5 8. dp[7] = 1, dp[5] = 1, dp[8] = max(dp[7]+1,dp[8]) = 2. So answer is 2 But we can not delete two fives because they go in a row?
this type of lecture what we cp community want with crystal clear explanation with best problems... hoping for more lecture like that... waiting for your binary seach one shot
I’m very glad you liked it
My one of the best learning from this lecture was that we should not always define the subproblem of the DP in terms of what is being asked, rather we should look for some crux which might be defining these sub-problems structurally more convenient way such that they are easier to make transitions. Thanks for awakening my thinking horizon in Dynamic Programming Shayan.
very good problems for getting better at dp, this stream helped alot!
I’m really glad
bro just upload these type of videos as many as possible, way too helpful
thank you for this amazing session
Thank you bro
Thanks for such an amazing lecture , understood each and everything.., will surely watch all other lectures of this series
A great session shayan. Pls keep this going. Gonna recommend this stream and channel to my juniors and friends!!
Thanks a lot for recommending. That helps my work to be better recognized and I appreciate it. I would definitely continue. ♥
sir you are rising star youtuber for CP keep doing stream like this...love from india!
Amazing! This lecture is useful for me (as a newbie competitive programming learner)! Thank you so much!
Nice to hear
We want more of such streams! Awesome work.
Sure, more to come
great work man, keep it up!!!!
Thanks, will do! We will have a topic stream each week on Fridays.
please add more of these, and problems based on graphs and trees as well
Sure
Please do more dp problems
Your work is much appreciated.
Sure. We will have a topic stream, each week on Fridays.
@@CPwithShayan Great work Sir!! Thank you
Great video! I just started , 1100 R still understood everything u explained.Really amazing explanation
That’s exactly what I’m looking for. Glad to hear that.
Dp used to be hard for me. Thank u a lot
DOPE DOPE DOPE, blue green pink, bring me whatever you cook
Pretty good problems choosing, I've been more familiar with DP.
Nice
Thanks for this! Looking forward for many more such lectures!
Sure, more to come
Thank you for the dp lecture
It was amazing dude , thanks alot
thanks for this explanation
Thank you so much for this amazing session, I hope you keep it, and we want more dp please. Thanks Shayan :)
Will keep it. Glad you enjoyed it
thank you for this series
You’re welcome
Very very thanks
Can you please share a roadmap i am very much struggling with the problems even after solving so much i seems i'm not improving
Yes, I will talk about them in the next sessions
Great session!!
Thanks
awesome shayan, waiting for more content like this
Thanks, sure!
wow thanks bro for a lesson
you are actually doing great work can you express your view's on how to increase your ratings in cf and keeping doing this
Thank you very much!!..
We want this type of stream
More to come!
Thank you
Welcome!
Please continue this
Will do
One of the finest resources for mastering dynamic programming, particularly for competitive programming, is truly invaluable. However, it would be fantastic to have similarly exceptional tutorials covering a broader range of topics! @CPwithShayan
Thank you! This Friday, we have a topic stream on graph algorithms.
can we go with recursive style of coding dp problems for these problems? i find them more intuitive.
Loved it!!!!!!!
Nice
Beeeeessst stream!!!
Thanks!
great ! today I learned when to not use array for DP. I always used to think why the heck people are using Maps in dp, now I know the reason why maps are a better option when dealing with large datasets.
If someone does not know why, then let me tell you
if I am decalring an array of size (int)1e9, then I will be making my compiler allocate 4gb worth of RAM for this process, but my OS won't allow that. (how i came to the 4gb memory thing, its simple an int is of 4bytes, now you will be decalring an int array of (int)1e9 size, which means 4byte X 1Billion = 4gb) Hence my compiler will throw an error. Now this is because, when an array is created, consecutive memory cells of the ram are allocated for this process, but when using map, the memory allocation is different than an array, and that's why map can be used.
This is great
In the last problem why do cnt[i] * pw[cnt[i]-1]; during explaination you told pw[cnt[i]]-1
Can you please upload a video solving some problems on centroid decomposition ?
Will do
Hello. Can somebody say about second problem in the Shayan video about dynamic programming.How we control that we can not delete elements which go in a row. For example 7 5 5 8. dp[7] = 1, dp[5] = 1, dp[8] = max(dp[7]+1,dp[8]) = 2. So answer is 2
But we can not delete two fives because they go in a row?
can you dedicate topics required and pratice to do to reach expert plssss
can anyone please help me with code implementation of 3rd ques i got the logic but cant code it
also make some stuff on greedy algorithm and backtracking
I read only c language bhaiya can I start this lecture
Practice recursion first, then it will be a bit easier
Ok bhaiya
Can you give me again a code forces link prolems
I am not here to lose I can win and prove everyone that how good I am
Thank you
You're welcome